ghc-boot-9.6.3: Shared functionality between GHC and its boot libraries

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Utils.Encoding

Contents

- UTF-8
- Z-encoding
- Base62-encoding

Synopsis

- module GHC.Utils.Encoding.UTF8
- type UserString = String
- type EncodedString = String
- zEncodeString :: UserString -> EncodedString
- zDecodeString :: EncodedString -> UserString
- toBase62 :: Word64 -> String
- toBase62Padded :: Word64 -> String

# UTF-8

module GHC.Utils.Encoding.UTF8

# Z-encoding

type UserString = String Source #

type EncodedString = String Source #

zEncodeString :: UserString -> EncodedString Source #

zDecodeString :: EncodedString -> UserString Source #

# Base62-encoding

toBase62 :: Word64 -> String Source #

toBase62Padded :: Word64 -> String Source #

Converts a 64-bit word into a base-62 string